@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@100;200;300;400;500;700&family=Montserrat:wght@300;400;500;600&display=swap");
* {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  font-family: "Josefin Sans", sans-serif;
  font-family: "Montserrat", sans-serif;
  --transition: all 400ms ease;

  --color-bg: #ffffff;
  --color-primary: #111b3f;

  --container-width-lg: 75%;
  --container-width-md: 86%;
  --container--width-sm: 90%;
}

html {
  scroll-behavior: smooth;
}

::-webkit-scrollbar {
  display: none;
}
body {
  font-family: "Poppins", sans-serif;
  color: var(--color-white);
  background-size: cover;
  padding-top: 2rem;
}
/* styles gerais  */
.container {
  width: var(--container-width-lg);
  margin: 0 auto;
}
h1,
h2,
h3,
h5 {
  font-weight: 500;
}
h1 {
  font-size: 2.1rem;
}
section {
  margin-top: 4rem;
}
section > h2,
section > h5 {
  text-align: center;
  color: var(--color-primary);
}
section > h2 {
  color: var(--color-primary);
  margin-bottom: 2rem;
}
section h4 {
  color: var(--color-primary);
  font-weight: bold;
  text-align: center;
}

img {
  display: block;
  width: 100%;
}

.rigthPhone {
  position: fixed;
  cursor: pointer;
  display: block;
  width: 60px;
  height: 60px;
  bottom: 40px;
  margin-left: 35px;
  background-color: #24de10;
  color: white;
  border-radius: 50px;
  text-align: center;
  font-size: 25px;
  transition-duration: 0.5s;
  animation: pulse 2s infinite;
  z-index: 9000;
  -moz-transform: scaleX(-1);
  -o-transform: scaleX(-1);

  transform: scaleX(-1);
}
.rigthPhone:hover {
  background-color: rgb(40, 223, 16);
  color: white;
}
.my-rigthPhone {
  margin-top: 15px;
}
@-webkit-keyframes pulse {
  0% {
    -webkit-box-shadow: 0 0 0 0 rgb(25, 232, 14);
  }
  70% {
    -webkit-box-shadow: 0 0 0 20px rgba(12, 53, 90, 0);
  }
  100% {
    -webkit-box-shadow: 0 0 0 0 rgba(12, 53, 90, 0);
  }
}
/* dispositivos grandes */

@media screen and (max-width: 2560px) {
  .servicos {
    background: var(--color-primary);
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .servicos h3 {
    color: var(--color-bg);
    align-items: center;
    position: absolute;
    max-width: 80%;
  }
  .card-body {
    margin-bottom: 5rem;
    color: var(--color-bg);
    border-left: 2px solid #fa4c34;
    padding: 1rem;
  }
  .card-body h2 {
    color: var(--color-bg);
    font-weight: lighter;
    font-size: 1.2rem;
  }
  .card-body p {
    font-size: 1.5rem;
    font-weight: bold;
  }

  .price b {
    color: #f0c228;
  }
  .price p {
    font-size: 1.2rem;
    font-weight: lighter;
  }
  .price strong {
    font-weight: bold;
    font-size: 1.5rem;
  }

  .button {
    border: solid 1px #11c1d3;
    padding: 0.8rem;
    padding-left: 2rem;
    padding-right: 2rem;
    border-radius: 25px;
    color: #ffffff;
    text-decoration: none;
  }
  .button:hover {
    background-color: #11c1d3;
    color: #ffffff;
  }
}

/* MEDIA QUERIES (DISPOSITIVOS MÉDIOS  COMO TABLET POR EXEMPLO) */
@media screen and (max-width: 768px) {
  .card-1 {
    width: 70vw;
  }
}
@media screen and (max-width: 768px) {
  .nav {
    flex-direction: column-reverse;
    align-content: space-around;
  }
}
@media screen and (max-width: 768px) {
  .card-1 {
    width: var(--container-width-md);
    margin-bottom: 0.5rem;
    text-align: center;
  }
  section {
    margin-top: 6rem;
    text-align: center;
  }
  .servicos {
    padding-bottom: 5rem;
  }
  .servicos h3 {
    margin-bottom: 8rem;
  }
}

/* MEDIA QUERIES (DISPOSITIVOS PEQUENOS  COMO CELULARES POR EXEMPLO) */
@media screen and (max-width: 600px) {
  .container {
    width: var(--container--width-sm);
  }
  section > h2 {
    margin-bottom: 2rem;
  }
}
.button {
  font-size: 0.8rem;
}
/*  dispositivos pequenos */
@media screen and (max-width: 425px) {
  footer .container {
    padding: 0;
    margin-bottom: 0;
  }
  .servicos {
    padding-bottom: 50rem;
  }
  .servicos h3 {
    margin-top: 15rem;
    color: #fa4c34;
  }
  #planos {
    display: grid;
    padding-left: 4rem;
    padding-right: 4rem;
  }
  .wrap {
    padding-top: 40rem;
  }
  .card-body {
    margin-bottom: 1rem;
    border: none;
    border-bottom: 2px solid #fa4c34;
  }
}

@media screen and (max-width: 475px) {
  #inicio {
    padding-top: 3rem;
  }
  footer {
    padding-top: 2rem;
  }
}

/*  dispositivos pequenos menores telas */
@media screen and (max-width: 375px) {
  footer .copy {
    padding: 0;
  }
  .servicos {
    padding-bottom: 20rem;
  }
  .servicos h3 {
    margin-top: 2rem;
    color: #fa4c34;
    align-items: center;
    position: absolute;
  }
  .card-body {
    color: var(--color-bg);
  }
  .card-body h2 {
    color: var(--color-bg);
    font-weight: lighter;
    font-size: 1.2rem;
  }
  .servicos {
    padding-bottom: 50rem;
  }
  .servicos h3 {
    margin-top: 15rem;
    color: var(--color-bg);
  }
  #planos {
    display: grid;
    padding-left: 4rem;
    padding-right: 4rem;
  }
  .wrap {
    padding-top: 40rem;
  }
  .card-body {
    margin-bottom: 1rem;
    border: none;
    border-bottom: 2px solid #fa4c34;
  }
}

@media screen and (max-width: 475px) {
  #inicio {
    padding-top: 3rem;
  }
  footer {
    padding-top: 2rem;
  }
}
#planos {
  display: flex;
  position: absolute;
  margin-top: 23rem;
}
nav {
  width: 100vw;
}
nav img {
  max-width: 20rem;
}
nav ul {
  color: var(--color-primary);
  font-weight: bold;
}

html {
  scroll-behavior: smooth;
}
.navbar-brand {
  cursor: pointer;
}

.cmn-t-scale {
  padding: 20px 40px;
}
.cmn-t-scale:hover {
  -webkit-transform: scale(1.1);
  -moz-transform: scale(1.1);
  -ms-transform: scale(1.1);
  -o-transform: scale(1.1);
  transform: scale(1.1);
}

footer {
  padding-top: 5rem;
  height: 10rem;
  width: 100vw;
  background: var(--color-primary);
  color: var(--color-bg);
  text-align: center;
}
.copy {
  font-weight: bold;
  padding-bottom: 2rem;
}
